diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/nav-menus.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/nav-menus.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/nav-menus.php	2012-11-22 02:45:15.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/nav-menus.php	2013-07-12 13:16:29.000000000 -0500
***************
*** 36,41 ****
--- 36,46 ----
  // The menu id of the current menu being edited
  $nav_menu_selected_id = isset( $_REQUEST['menu'] ) ? (int) $_REQUEST['menu'] : 0;
  
+ // Get existing menu locations assignments
+ $locations = get_registered_nav_menus();
+ $menu_locations = get_nav_menu_locations();
+ $num_locations = count( array_keys( $locations ) );
+ 
  // Allowed actions: add, update, delete
  $action = isset( $_REQUEST['action'] ) ? $_REQUEST['action'] : 'edit';
  
***************
*** 221,269 ****
  		if ( is_nav_menu_item( $menu_item_id ) && wp_delete_post( $menu_item_id, true ) )
  			$messages[] = '<div id="message" class="updated"><p>' . __('The menu item has been successfully deleted.') . '</p></div>';
  		break;
  	case 'delete':
  		check_admin_referer( 'delete-nav_menu-' . $nav_menu_selected_id );
- 
  		if ( is_nav_menu( $nav_menu_selected_id ) ) {
! 			$deleted_nav_menu = wp_get_nav_menu_object( $nav_menu_selected_id );
! 			$delete_nav_menu = wp_delete_nav_menu( $nav_menu_selected_id );
! 
! 			if ( is_wp_error($delete_nav_menu) ) {
! 				$messages[] = '<div id="message" class="error"><p>' . $delete_nav_menu->get_error_message() . '</p></div>';
! 			} else {
! 				// Remove this menu from any locations.
! 				$locations = get_theme_mod( 'nav_menu_locations' );
! 				foreach ( (array) $locations as $location => $menu_id ) {
! 					if ( $menu_id == $nav_menu_selected_id )
! 						$locations[ $location ] = 0;
! 				}
! 				set_theme_mod( 'nav_menu_locations', $locations );
! 				$messages[] = '<div id="message" class="updated"><p>' . __('The menu has been successfully deleted.') . '</p></div>';
! 				// Select the next available menu
! 				$nav_menu_selected_id = 0;
! 				$_nav_menus = wp_get_nav_menus( array('orderby' => 'name') );
! 				foreach( $_nav_menus as $index => $_nav_menu ) {
! 					if ( strcmp( $_nav_menu->name, $deleted_nav_menu->name ) >= 0
! 					 || $index == count( $_nav_menus ) - 1 ) {
! 						$nav_menu_selected_id = $_nav_menu->term_id;
! 						break;
! 					}
! 				}
! 			}
! 			unset( $delete_nav_menu, $deleted_nav_menu, $_nav_menus );
  		} else {
  			// Reset the selected menu
  			$nav_menu_selected_id = 0;
  			unset( $_REQUEST['menu'] );
  		}
  		break;
  
  	case 'update':
  		check_admin_referer( 'update-nav_menu', 'update-nav-menu-nonce' );
  
! 		// Update menu theme locations
! 		if ( isset( $_POST['menu-locations'] ) )
! 			set_theme_mod( 'nav_menu_locations', array_map( 'absint', $_POST['menu-locations'] ) );
  
  		// Add Menu
  		if ( 0 == $nav_menu_selected_id ) {
--- 226,285 ----
  		if ( is_nav_menu_item( $menu_item_id ) && wp_delete_post( $menu_item_id, true ) )
  			$messages[] = '<div id="message" class="updated"><p>' . __('The menu item has been successfully deleted.') . '</p></div>';
  		break;
+ 
  	case 'delete':
  		check_admin_referer( 'delete-nav_menu-' . $nav_menu_selected_id );
  		if ( is_nav_menu( $nav_menu_selected_id ) ) {
! 			$deletion = wp_delete_nav_menu( $nav_menu_selected_id );
  		} else {
  			// Reset the selected menu
  			$nav_menu_selected_id = 0;
  			unset( $_REQUEST['menu'] );
  		}
+ 
+ 		if ( ! isset( $deletion ) )
+ 			break;
+ 
+ 		if ( is_wp_error( $deletion ) )
+ 			$messages[] = '<div id="message" class="error"><p>' . $deletion->get_error_message() . '</p></div>';
+ 		else
+ 			$messages[] = '<div id="message" class="updated"><p>' . __( 'The menu has been successfully deleted.' ) . '</p></div>';
+ 		break;
+ 
+ 	case 'delete_menus':
+ 		check_admin_referer( 'nav_menus_bulk_actions' );
+ 		foreach ( $_REQUEST['delete_menus'] as $menu_id_to_delete ) {
+ 			if ( ! is_nav_menu( $menu_id_to_delete ) )
+ 				continue;
+ 
+ 			$deletion = wp_delete_nav_menu( $menu_id_to_delete );
+ 			if ( is_wp_error( $deletion ) ) {
+ 				$messages[] = '<div id="message" class="error"><p>' . $deletion->get_error_message() . '</p></div>';
+ 				$deletion_error = true;
+ 			}
+ 		}
+ 
+ 		if ( empty( $deletion_error ) )
+ 			$messages[] = '<div id="message" class="updated"><p>' . __( 'Selected menus have been successfully deleted.' ) . '</p></div>';
  		break;
  
  	case 'update':
  		check_admin_referer( 'update-nav_menu', 'update-nav-menu-nonce' );
  
! 		// Remove menu locations that have been unchecked
! 		foreach ( $locations as $location => $description ) {
! 			if ( ( empty( $_POST['menu-locations'] ) || empty( $_POST['menu-locations'][ $location ] ) ) && isset( $menu_locations[ $location ] ) && $menu_locations[ $location ] == $nav_menu_selected_id )
! 				unset( $menu_locations[ $location ] );
! 		}
! 
! 		// Merge new and existing menu locations if any new ones are set
! 		if ( isset( $_POST['menu-locations'] ) ) {
! 			$new_menu_locations = array_map( 'absint', $_POST['menu-locations'] );
! 			$menu_locations = array_merge( $menu_locations, $new_menu_locations );
! 		}
! 
! 		// Set menu locations
! 		set_theme_mod( 'nav_menu_locations', $menu_locations );
  
  		// Add Menu
  		if ( 0 == $nav_menu_selected_id ) {
***************
*** 278,297 ****
  					$_menu_object = wp_get_nav_menu_object( $_nav_menu_selected_id );
  					$nav_menu_selected_id = $_nav_menu_selected_id;
  					$nav_menu_selected_title = $_menu_object->name;
! 					$messages[] = '<div id="message" class="updated"><p>' . sprintf( __('The <strong>%s</strong> menu has been successfully created.'), $nav_menu_selected_title ) . '</p></div>';
  				}
  			} else {
! 				$messages[] = '<div id="message" class="error"><p>' . __('Please enter a valid menu name.') . '</p></div>';
  			}
  
! 		// update existing menu
  		} else {
  
  			$_menu_object = wp_get_nav_menu_object( $nav_menu_selected_id );
  
  			$menu_title = trim( esc_html( $_POST['menu-name'] ) );
  			if ( ! $menu_title ) {
! 				$messages[] = '<div id="message" class="error"><p>' . __('Please enter a valid menu name.') . '</p></div>';
  				$menu_title = $_menu_object->name;
  			}
  
--- 294,334 ----
  					$_menu_object = wp_get_nav_menu_object( $_nav_menu_selected_id );
  					$nav_menu_selected_id = $_nav_menu_selected_id;
  					$nav_menu_selected_title = $_menu_object->name;
! 					if ( isset( $_REQUEST['menu-item'] ) )
! 						wp_save_nav_menu_items( $nav_menu_selected_id, absint( $_REQUEST['menu-item'] ) );
! 					if ( isset( $_REQUEST['zero-menu-state'] ) ) {
! 						// If there are menu items, add them
! 						wp_nav_menu_update_menu_items( $nav_menu_selected_id, $nav_menu_selected_title );
! 						// Auto-save nav_menu_locations
! 						$locations = get_theme_mod( 'nav_menu_locations' );
! 						foreach ( (array) $locations as $location => $menu_id ) {
! 								$locations[ $location ] = $nav_menu_selected_id;
! 								break; // There should only be 1
! 						}
! 						set_theme_mod( 'nav_menu_locations', $locations );
! 					}
! 					if ( isset( $_REQUEST['use-location'] ) ) {
! 						$locations = get_theme_mod( 'nav_menu_locations' );
! 						if ( isset( $locations[$_REQUEST['use-location']] ) )
! 							$locations[$_REQUEST['use-location']] = $nav_menu_selected_id;
! 						set_theme_mod( 'nav_menu_locations', $locations );
! 					}
! 					// $messages[] = '<div id="message" class="updated"><p>' . sprintf( __( '<strong>%s</strong> has been created.' ), $nav_menu_selected_title ) . '</p></div>';
! 					wp_redirect( admin_url( 'nav-menus.php?menu=' . $_nav_menu_selected_id ) );
! 					exit();
  				}
  			} else {
! 				$messages[] = '<div id="message" class="error"><p>' . __( 'Please enter a valid menu name.' ) . '</p></div>';
  			}
  
! 		// Update existing menu
  		} else {
  
  			$_menu_object = wp_get_nav_menu_object( $nav_menu_selected_id );
  
  			$menu_title = trim( esc_html( $_POST['menu-name'] ) );
  			if ( ! $menu_title ) {
! 				$messages[] = '<div id="message" class="error"><p>' . __( 'Please enter a valid menu name.' ) . '</p></div>';
  				$menu_title = $_menu_object->name;
  			}
  
***************
*** 307,395 ****
  			}
  
  			// Update menu items
- 
  			if ( ! is_wp_error( $_menu_object ) ) {
! 				$unsorted_menu_items = wp_get_nav_menu_items( $nav_menu_selected_id, array('orderby' => 'ID', 'output' => ARRAY_A, 'output_key' => 'ID', 'post_status' => 'draft,publish') );
! 				$menu_items = array();
! 				// Index menu items by db ID
! 				foreach( $unsorted_menu_items as $_item )
! 					$menu_items[$_item->db_id] = $_item;
! 
! 				$post_fields = array( 'menu-item-db-id', 'menu-item-object-id', 'menu-item-object', 'menu-item-parent-id', 'menu-item-position', 'menu-item-type', 'menu-item-title', 'menu-item-url', 'menu-item-description', 'menu-item-attr-title', 'menu-item-target', 'menu-item-classes', 'menu-item-xfn' );
! 				wp_defer_term_counting(true);
! 				// Loop through all the menu items' POST variables
! 				if ( ! empty( $_POST['menu-item-db-id'] ) ) {
! 					foreach( (array) $_POST['menu-item-db-id'] as $_key => $k ) {
! 
! 						// Menu item title can't be blank
! 						if ( empty( $_POST['menu-item-title'][$_key] ) )
! 							continue;
! 
! 						$args = array();
! 						foreach ( $post_fields as $field )
! 							$args[$field] = isset( $_POST[$field][$_key] ) ? $_POST[$field][$_key] : '';
! 
! 						$menu_item_db_id = wp_update_nav_menu_item( $nav_menu_selected_id, ( $_POST['menu-item-db-id'][$_key] != $_key ? 0 : $_key ), $args );
! 
! 						if ( is_wp_error( $menu_item_db_id ) )
! 							$messages[] = '<div id="message" class="error"><p>' . $menu_item_db_id->get_error_message() . '</p></div>';
! 						elseif ( isset( $menu_items[$menu_item_db_id] ) )
! 							unset( $menu_items[$menu_item_db_id] );
! 					}
! 				}
! 
! 				// Remove menu items from the menu that weren't in $_POST
! 				if ( ! empty( $menu_items ) ) {
! 					foreach ( array_keys( $menu_items ) as $menu_item_id ) {
! 						if ( is_nav_menu_item( $menu_item_id ) ) {
! 							wp_delete_post( $menu_item_id );
! 						}
! 					}
! 				}
  
! 				// Store 'auto-add' pages.
! 				$auto_add = ! empty( $_POST['auto-add-pages'] );
! 				$nav_menu_option = (array) get_option( 'nav_menu_options' );
! 				if ( ! isset( $nav_menu_option['auto_add'] ) )
! 					$nav_menu_option['auto_add'] = array();
! 				if ( $auto_add ) {
! 					if ( ! in_array( $nav_menu_selected_id, $nav_menu_option['auto_add'] ) )
! 						$nav_menu_option['auto_add'][] = $nav_menu_selected_id;
! 				} else {
! 					if ( false !== ( $key = array_search( $nav_menu_selected_id, $nav_menu_option['auto_add'] ) ) )
! 						unset( $nav_menu_option['auto_add'][$key] );
! 				}
! 				// Remove nonexistent/deleted menus
! 				$nav_menu_option['auto_add'] = array_intersect( $nav_menu_option['auto_add'], wp_get_nav_menus( array( 'fields' => 'ids' ) ) );
! 				update_option( 'nav_menu_options', $nav_menu_option );
  
! 				wp_defer_term_counting(false);
  
! 				do_action( 'wp_update_nav_menu', $nav_menu_selected_id );
  
! 				$messages[] = '<div id="message" class="updated"><p>' . sprintf( __('The <strong>%s</strong> menu has been updated.'), $nav_menu_selected_title ) . '</p></div>';
! 				unset( $menu_items, $unsorted_menu_items );
! 			}
  		}
  		break;
  }
  
  // Get all nav menus
  $nav_menus = wp_get_nav_menus( array('orderby' => 'name') );
  
! // Get recently edited nav menu
! $recently_edited = (int) get_user_option( 'nav_menu_recently_edited' );
  
! // If there was no recently edited menu, and $nav_menu_selected_id is a nav menu, update recently edited menu.
! if ( !$recently_edited && is_nav_menu( $nav_menu_selected_id ) ) {
  	$recently_edited = $nav_menu_selected_id;
  
! // Else if $nav_menu_selected_id is not a menu and not requesting that we create a new menu, but $recently_edited is a menu, grab that one.
! } elseif ( 0 == $nav_menu_selected_id && ! isset( $_REQUEST['menu'] ) && is_nav_menu( $recently_edited ) ) {
  	$nav_menu_selected_id = $recently_edited;
  
! // Else try to grab the first menu from the menus list
! } elseif ( 0 == $nav_menu_selected_id && ! isset( $_REQUEST['menu'] ) && ! empty($nav_menus) ) {
  	$nav_menu_selected_id = $nav_menus[0]->term_id;
  }
  
--- 344,430 ----
  			}
  
  			// Update menu items
  			if ( ! is_wp_error( $_menu_object ) ) {
! 				$messages = array_merge( $messages, wp_nav_menu_update_menu_items( $nav_menu_selected_id, $nav_menu_selected_title ) );
! 			}
! 		}
! 		break;
! 	case 'locations':
! 		if ( ! $num_locations ) {
! 			wp_redirect( admin_url( 'nav-menus.php' ) );
! 			exit();
! 		}
  
! 		add_filter( 'screen_options_show_screen', '__return_false' );
  
! 		if ( isset( $_POST['menu-locations'] ) ) {
! 			check_admin_referer( 'save-menu-locations' );
  
! 			$new_menu_locations = array_map( 'absint', $_POST['menu-locations'] );
! 			$menu_locations = array_merge( $menu_locations, $new_menu_locations );
! 			// Set menu locations
! 			set_theme_mod( 'nav_menu_locations', $menu_locations );
  
! 			$messages[] = '<div id="message" class="updated"><p>' . __( 'Menu locations updated.' ) . '</p></div>';
  		}
  		break;
  }
  
  // Get all nav menus
  $nav_menus = wp_get_nav_menus( array('orderby' => 'name') );
+ $menu_count = count( $nav_menus );
  
! // Are we on the add new screen?
! $add_new_screen = ( isset( $_GET['menu'] ) && 0 == $_GET['menu'] ) ? true : false;
! 
! $locations_screen = ( isset( $_GET['action'] ) && 'locations' == $_GET['action'] ) ? true : false;
! 
! // If we have one theme location, and zero menus, we take them right into editing their first menu
! $page_count = wp_count_posts( 'page' );
! $one_theme_location_no_menus = ( 1 == count( get_registered_nav_menus() ) && ! $add_new_screen && empty( $nav_menus ) && ! empty( $page_count->publish ) ) ? true : false;
! 
! $nav_menus_l10n = array(
! 	'oneThemeLocationNoMenus' => $one_theme_location_no_menus,
! 	'moveUp'       => __( 'Move up one' ),
! 	'moveDown'     => __( 'Move down one' ),
! 	'moveToTop'    => __( 'Move to the top' ),
! 	/* translators: %s: previous item name */
! 	'moveUnder'    => __( 'Move under %s' ),
! 	/* translators: %s: previous item name */
! 	'moveOutFrom'  => __( 'Move out from under %s' ),
! 	/* translators: %s: previous item name */
! 	'under'        => __( 'Under %s' ),
! 	/* translators: %s: previous item name */
! 	'outFrom'      => __( 'Out from under %s' ),
! 	/* translators: 1: item name, 2: item position, 3: total number of items */
! 	'menuFocus'    => __( '%1$s. Menu item %2$d of %3$d.' ),
! 	/* translators: 1: item name, 2: item position, 3: parent item name */
! 	'subMenuFocus' => __( '%1$s. Sub item number %2$d under %3$s.' ),
! );
! wp_localize_script( 'nav-menu', 'menus', $nav_menus_l10n );
! 
! // Redirect to add screen if there are no menus and this users has either zero, or more than 1 theme locations
! if ( 0 == $menu_count && ! $add_new_screen && ! $one_theme_location_no_menus )
! 	wp_redirect( admin_url( 'nav-menus.php?action=edit&menu=0' ) );
  
! // Get recently edited nav menu
! $recently_edited = absint( get_user_option( 'nav_menu_recently_edited' ) );
! if ( empty( $recently_edited ) && is_nav_menu( $nav_menu_selected_id ) )
  	$recently_edited = $nav_menu_selected_id;
  
! // Use $recently_edited if none are selected
! if ( empty( $nav_menu_selected_id ) && ! isset( $_GET['menu'] ) && is_nav_menu( $recently_edited ) )
  	$nav_menu_selected_id = $recently_edited;
  
! // On deletion of menu, if another menu exists, show it
! if ( ! $add_new_screen && 0 < $menu_count && isset( $_GET['action'] ) && 'delete' == $_GET['action'] )
! 	$nav_menu_selected_id = $nav_menus[0]->term_id;
! 
! // Set $nav_menu_selected_id to 0 if no menus
! if ( $one_theme_location_no_menus ) {
! 	$nav_menu_selected_id = 0;
! } elseif ( empty( $nav_menu_selected_id ) && ! empty( $nav_menus ) && ! $add_new_screen ) {
! 	// if we have no selection yet, and we have menus, set to the first one in the list
  	$nav_menu_selected_id = $nav_menus[0]->term_id;
  }
  
***************
*** 405,415 ****
  
  // Generate truncated menu names
  foreach( (array) $nav_menus as $key => $_nav_menu ) {
! 	$_nav_menu->truncated_name = trim( wp_html_excerpt( $_nav_menu->name, 40 ) );
! 	if ( $_nav_menu->truncated_name != $_nav_menu->name )
! 		$_nav_menu->truncated_name .= '&hellip;';
  
! 	$nav_menus[$key]->truncated_name = $_nav_menu->truncated_name;
  }
  
  // Ensure the user will be able to scroll horizontally
--- 440,452 ----
  
  // Generate truncated menu names
  foreach( (array) $nav_menus as $key => $_nav_menu ) {
! 	$nav_menus[$key]->truncated_name = wp_html_excerpt( $_nav_menu->name, 40, '&hellip;' );
! }
  
! // Retrieve menu locations
! if ( current_theme_supports( 'menus' ) ) {
! 	$locations = get_registered_nav_menus();
! 	$menu_locations = get_nav_menu_locations();
  }
  
  // Ensure the user will be able to scroll horizontally
***************
*** 418,425 ****
  $_wp_nav_menu_max_depth = 0;
  
  // Calling wp_get_nav_menu_to_edit generates $_wp_nav_menu_max_depth
! if ( is_nav_menu( $nav_menu_selected_id ) )
  	$edit_markup = wp_get_nav_menu_to_edit( $nav_menu_selected_id );
  
  function wp_nav_menu_max_depth($classes) {
  	global $_wp_nav_menu_max_depth;
--- 455,464 ----
  $_wp_nav_menu_max_depth = 0;
  
  // Calling wp_get_nav_menu_to_edit generates $_wp_nav_menu_max_depth
! if ( is_nav_menu( $nav_menu_selected_id ) ) {
! 	$menu_items = wp_get_nav_menu_items( $nav_menu_selected_id, array( 'post_status' => 'any' ) );
  	$edit_markup = wp_get_nav_menu_to_edit( $nav_menu_selected_id );
+ }
  
  function wp_nav_menu_max_depth($classes) {
  	global $_wp_nav_menu_max_depth;
***************
*** 431,453 ****
  wp_nav_menu_setup();
  wp_initial_nav_menu_meta_boxes();
  
! if ( ! current_theme_supports( 'menus' ) && ! wp_get_nav_menus() )
! 	$messages[] = '<div id="message" class="updated"><p>' . __('The current theme does not natively support menus, but you can use the &#8220;Custom Menu&#8221; widget to add any menus you create here to the theme&#8217;s sidebar.') . '</p></div>';
  
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'overview',
! 'title'		=> __('Overview'),
! 'content'	=>
! 	'<p>' . __('This feature allows you to use a custom menu in place of your theme&#8217;s default menus.') . '</p>' .
! 	'<p>' . __('Custom menus may contain links to pages, categories, custom links or other content types (use the Screen Options tab to decide which ones to show on the screen). You can specify a different navigation label for a menu item as well as other attributes. You can create multiple menus. If your theme includes more than one menu location, you can choose which custom menu to associate with each. You can also use custom menus in conjunction with the Custom Menus widget.') . '</p>' .
! 	'<p>' . sprintf( __('If your theme does not support the custom menus feature (the default themes, %1$s and %2$s, do), you can learn about adding this support by following the Documentation link to the side.'), 'Twenty Twelve', 'Twenty Eleven' ) . '</p>'
! ) );
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'create-menus',
! 'title'		=> __('Create Menus'),
! 'content'	=>
! 	'<p>' . __('To create a new custom menu, click on the + tab, give the menu a name, and click Create Menu. Next, add menu items from the appropriate boxes. You&#8217;ll be able to edit the information for each menu item, and can drag and drop to change their order. You can also drag a menu item a little to the right to make it a submenu. Don&#8217;t forget to click Save Menu when you&#8217;re finished.') . '</p>'
! ) );
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
--- 470,526 ----
  wp_nav_menu_setup();
  wp_initial_nav_menu_meta_boxes();
  
! if ( ! current_theme_supports( 'menus' ) && ! $num_locations )
! 	$messages[] = '<div id="message" class="updated"><p>' . sprintf( __( 'Your theme does not natively support menus, but you can use them in sidebars by adding a &#8220;Custom Menus&#8221; widget on the <a href="%s">Widgets</a> screen.' ), admin_url( 'widgets.php' ) ) . '</p></div>';
  
! if ( ! $locations_screen ) : // Main tab
! 	$overview  = '<p>' . __( 'This screen is used for managing your custom navigation menus.' ) . '</p>';
! 	$overview .= '<p>' . sprintf( __( 'Menus can be displayed in locations defined by your theme, even used in sidebars by adding a &#8220;Custom Menus&#8221; widget on the <a href="%1$s">Widgets</a> screen. If your theme does not support the custom menus feature (the default themes, %2$s and %3$s, do), you can learn about adding this support by following the Documentation link to the side.' ), admin_url( 'widgets.php' ), 'Twenty Thirteen', 'Twenty Twelve' ) . '</p>';
! 	$overview .= '<p>' . __( 'From this screen you can:' ) . '</p>';
! 	$overview .= '<ul><li>' . __( 'Create, edit, and delete menus' ) . '</li>';
! 	$overview .= '<li>' . __( 'Add, organize, and modify individual menu items' ) . '</li></ul>';
! 
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'overview',
! 		'title'   => __( 'Overview' ),
! 		'content' => $overview
! 	) );
! 
! 	$menu_management  = '<p>' . __( 'The menu management box at the top of the screen is used to control which menu is opened in the editor below.' ) . '</p>';
! 	$menu_management .= '<ul><li>' . __( 'To edit an existing menu, <strong>choose a menu from the drop down and click Select</strong>' ) . '</li>';
! 	$menu_management .= '<li>' . __( 'If you haven&#8217;t yet created any menus, <strong>click the &#8217;create a new menu&#8217; link</strong> to get started' ) . '</li></ul>';
! 	$menu_management .= '<p>' . __( 'You can assign theme locations to individual menus by <strong>selecting the desired settings</strong> at the bottom of the menu editor. To assign menus to all theme locations at once, <strong>visit the Manage Locations tab</strong> at the top of the screen.' ) . '</p>';
! 
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'menu-management',
! 		'title'   => __( 'Menu Management' ),
! 		'content' => $menu_management
! 	) );
! 
! 	$editing_menus  = '<p>' . __( 'Each custom menu may contain a mix of links to pages, categories, custom URLs or other content types. Menu links are added by selecting items from the expanding boxes in the left-hand column below.' ) . '</p>';
! 	$editing_menus .= '<p>' . __( '<strong>Clicking the title of any menu item</strong> in the editor will reveal a standard group of settings. Additional settings such as link target, CSS classes, link relationships, and link descriptions can be enabled and disabled via the Screen Options tab.' ) . '</p>';
! 	$editing_menus .= '<ul><li>' . __( 'Add one or several items at once by <strong>selecting the checkbox next to each item and clicking Add to Menu</strong>' ) . '</li>';
! 	$editing_menus .= '<li>' . __( 'To add a custom link, <strong>expand the Links section, enter a URL and link text, and click Add to Menu</strong>' ) .'</li>';
! 	$editing_menus .= '<li>' . __( 'To reorganize menu items, <strong>drag and drop items with your mouse or use your keyboard</strong>. Drag or move a menu item a little to the right to make it a submenu' ) . '</li>';
! 	$editing_menus .= '<li>' . __( 'Delete a menu item by <strong>expanding it and clicking the Remove link</strong>' ) . '</li></ul>';
! 
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'editing-menus',
! 		'title'   => __( 'Editing Menus' ),
! 		'content' => $editing_menus
! 	) );
! else : // Locations Tab
! 	$locations_overview  = '<p>' . __( 'This screen is used for globally assigning menus to locations defined by your theme.' ) . '</p>';
! 	$locations_overview .= '<ul><li>' . __( 'To assign menus to one or more theme locations, <strong>select a menu from each location&#8217;s drop down.</strong> When you&#8217;re finished, <strong>click Save Changes</strong>' ) . '</li>';
! 	$locations_overview .= '<li>' . __( 'To edit a menu currently assigned to a theme location, <strong>click the adjacent &#8217;Edit&#8217; link</strong>' ) . '</li>';
! 	$locations_overview .= '<li>' . __( 'To add a new menu instead of assigning an existing one, <strong>click the &#8217;Use new menu&#8217; link</strong>. Your new menu will be automatically assigned to that theme location' ) . '</li></ul>';
! 
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'locations-overview',
! 		'title'   => __( 'Overview' ),
! 		'content' => $locations_overview
! 	) );
! endif;
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
